バージョン選択

フォーラム

メニュー

オンライン状況

52 人のユーザが現在オンラインです。 (32 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 52
もっと...

サイト内検索

質問 > 管理機能 > 4系バージョンアップで500エラー

管理機能

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
h_tanaka
投稿日時: 2019/10/4 17:51
対応状況: 解決済
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 971
4系バージョンアップで500エラー
EC-CUBE 4.0.1 → 4.0.2

カスタマイズ済みの環境のEC-CUBEバージョンアップを試みています。

・本体カスタマイズ
・プラグインカスタマイズ
・テンプレートカスタマイズ
等行っています。

すべてのソースを差分マージした後、次のコマンド実行でエラーになってしまいます。
$ php bin/console cache:clear --no-warmup

ブラウザでサイトにアクセスしたところ、500エラーになってしまいました。

上記どちらも Apache のログに次のエラーが出力されていました。
どうすれば解決できますでしょうか?

[04-Oct-2019 17:45:31 Asia/Tokyo] PHP Fatal error: Uncaught Error: Class 'Composer\Autoload\ComposerStaticInit55bcd08bb350ef78ca9bce887bb9e045' not found in /Applications/MAMP/htdocs/test/local/vendor/composer/autoload_real.php:30
Stack trace:
#0 /Applications/MAMP/htdocs/test/local/vendor/autoload.php(7): ComposerAutoloaderInit55bcd08bb350ef78ca9bce887bb9e045::getLoader()
#1 /Applications/MAMP/htdocs/test/local/bin/console(13): require('/Applications/M...')
#2 {main}
thrown in /Applications/MAMP/htdocs/test/local/vendor/composer/autoload_real.php on line 30


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

h_tanaka
投稿日時: 2019/10/4 18:26
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 971
Re: 4系バージョンアップで500エラー
本件、自己解決しました。

比較ツールを使ってソースをマージしたのですが、うまく更新できていませんでした。
vendor ディレクトリを上書き更新し直すことでエラーが発生しなくなりました。


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は59,123名です
総投稿数は95,079件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
2035
4
468
1978
5
yuh
1612
6
umebius
1562
7
red
1391
8
h_tanaka
971
9
fukap
907
10
tsuji
863
11
shutta
835
12 ramrun 789
13
tao_s
783
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
485
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.